Page MenuHomePhabricator

[[Wikimedia:Pageviews-select2-max-chars/en]] needs PLURAL support
Closed, ResolvedPublic

Description

Event Timeline

Macofe created this task.Mar 10 2016, 5:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2016, 5:26 AM
Restricted Application added a project: Analytics. · View Herald TranscriptMar 10 2016, 5:44 AM

Same with 'item' in Wikimedia:Pageviews-select2-max-items/en

Aklapper renamed this task from [[Wikimedia:Pageviews-select2-max-chars/en]] i18n issue to [[Wikimedia:Pageviews-select2-max-chars/en]] needs PLURAL support.Mar 10 2016, 11:32 AM

Could someone explain how the pageview API is blocking this?

Milimetric moved this task from Incoming to Radar on the Analytics board.Mar 14 2016, 4:08 PM
Liuxinyu970226 added a subscriber: MusikAnimal.
MusikAnimal edited projects, added Tool-Pageviews; removed Tools.Jun 16 2016, 7:28 PM

@Macofe @Purodha sorry for the super late reply... For these messages we are using the JavaScript i18n library so PLURAL support should be in place. Could you confirm?

I Cannot confirm that, sorry, since I simply do not know for sure, but I am pretty confident that you are right.

MusikAnimal closed this task as Resolved.Jul 27 2016, 4:50 PM
MusikAnimal claimed this task.

Alrighty, going to close as resolved for now. Re-open if necessary. Thanks!

I have added PURAL to several messages that should use it, at least so as to guide transators, and filed a pull request.

MusikAnimal moved this task from Backlog to Done on the Tool-Pageviews board.Sep 8 2016, 5:55 PM
Restricted Application added a project: Community-Tech. · View Herald TranscriptJan 6 2018, 12:16 PM